%global _build_el10 1
%global debug_package %{nil}

%define _buildrootdir %{_topdir}/BUILDROOT
%define		_cgibindir	/usr/cgiwrap

Summary:				A gateway for more secure user access to CGI scripts
Summary(pl):		Bramka do bezpieczniejszego dost?u u?ytkownik? do skrypt? CGI
Name:						cgiwrap
Version:				4.1
Release:				4
License:				GPL
Source0:				http://dl.sourceforge.net/cgiwrap/%{name}-%{version}.tar.gz
Source1:				cgiwrap-bluequartz.conf
Patch0:					cgiwrap-bluequartz.patch
Patch1:					cgiwrap-free.patch
Patch2: 				sigset-replace.patch
URL:						http://cgilib.sourceforge.net/
BuildRequires:	automake
Requires: 			httpd
Provides: 			webserver-cgi-wrapper
BuildRoot: 			%{_buildrootdir}/%{name}-%{version}-%{release}

%description
A gateway that allows more secure user access to CGI programs on an
HTTPd server than is provided by the http server itself. The primary
function of CGIwrap is to make certain that any CGI script runs with
the permissions of the user who installed it, and not those of the
server.

%description -l pl
Bramka pozwalaj?ca na bardziej bezpieczny dost? u?ytkownik? do
program? CGI na serwerze HTTP ni? ten udost?niany przez sam serwer
HTTP. G??na funkcja CGIwrap to upewnienie si? ?e skrypt CGI dzia?a z
uprawnieniami u?ytkownika, kt?y go zainstalowa?, a nie serwera.

%prep
%setup -q
%patch -P 0 -p1 -b .bluequartz
%patch -P 1 -p1
%patch 2 -p1
autoconf

%build

%configure \
	--with-perl=%{_bindir}/perl \
	--with-php=%{_bindir}/php \
	--with-local-contact-name=Administrator \
	--with-local-contact-email=admin \
	--with-httpd-user=apache \
	--with-minimum-uid=500 \
	--with-minimum-gid=100 \
	--without-check-group-writable \
	--without-check-group \
	--with-install-dir=%{_cgibindir} \
	--with-cgi-dir=web

make CFLAGS="-fPIC"

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_cgibindir}

install -m 4755 cgiwrap %{buildroot}%{_cgibindir}/cgiwrap
ln -s cgiwrap %{buildroot}%{_cgibindir}/cgiwrapd
ln -s cgiwrap %{buildroot}%{_cgibindir}/nph-cgiwrap
ln -s cgiwrap %{buildroot}%{_cgibindir}/nph-cgiwrapd
ln -s cgiwrap %{buildroot}%{_cgibindir}/php-cgiwrap
ln -s cgiwrap %{buildroot}%{_cgibindir}/php-cgiwrapd

install -d %{buildroot}%{_sysconfdir}/httpd/conf.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/cgiwrap.conf

%files
%defattr(644,root,root,755)
%license COPYING
%doc htdocs/*
%attr(4755,root,root) %{_cgibindir}/cgiwrap
%{_cgibindir}/cgiwrapd
%{_cgibindir}/nph-cgiwrap
%{_cgibindir}/nph-cgiwrapd
%{_cgibindir}/php-cgiwrap
%{_cgibindir}/php-cgiwrapd
%attr(0644,root,root) /etc/httpd/conf.d/cgiwrap.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%post
if [ -x /sbin/restorecon ]; then
  /sbin/restorecon -Rv %{_cgibindir} || :
fi

%changelog

* Wed Jun 18 2025 Michael Stauber <mstauber@blueonyx.it> 4.1-4
- Rebuild for 5212R
- Added sigset-replace.patch

* Fri Nov 16 2018 Michael Stauber <mstauber@blueonyx.it> 4.1-1BX03
- Rebuild for 5210R with make option -fPIC added

* Wed Jan 10 2018 Michael Stauber <mstauber@blueonyx.it> 4.1-1BX02
- Fixed /etc/httpd/conf.d/cgiwrap.conf to work on 5209R as suggested
  by Taco Scargo. Many thanks.

* Mon Jun 14 2010 Michael Stauber <mstauber@blueonyx.it> 4.1-1BX01
- Update to 4.1 for 5107R/5108R

* Fri Jun 23 2006 Hisao SHIBUYA <shibuya@alpha.or.jp> 3.9-1BQ6
- fix the issue that cgi doesn't work for user with '-'.

* Sun Jul 03 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 3.9-1BQ5
- added codes to support for CentOS3

* Sun Jul 03 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 3.9-1BQ4
- added codes to support multi distributions.

* Wed Feb 02 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 3.9-1BQ3
- build with automake-1.6

* Tue Apr 06 2004 Hisao SHIBUYA <shibuya@alpha.or.jp> 3.9-1BQ2
- inclement release no

* Sun Apr 04 2004 Hisao SHIBUYA <shibuya@alpha.or.jp> 3.9-1BQ1
- build for Blue Quartz 5100R

- PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cgiwrap.spec,v $
Revision 1.3  2004/03/09 13:44:37  mwinkler
- remove duplicated line

Revision 1.2  2004/03/08 17:45:06  qboosh
- pl, use macro for cgi-bin dir

Revision 1.1  2004/03/07 08:37:03  arekm
- almost finished, new
